* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  line-height: 1.5;
  color: var(--background-color-picture);
}

:root {
  --background-color-nav: hsl(30, 50%, 50%);
  --background-color-nav-light: hsl(30, 50%, 60%);
  --background-color-main: hsl(30, 50%, 80%);
  --background-color-main-light: hsl(30, 50%, 90%);
  --background-color-main-lighter: hsl(30, 50%, 95%);
  --background-color-picture: hsl(30, 50%, 20%);
  --background-color-picture-transparent: hsla(30, 50%, 20%, 0.9);
  --border-radius: 5px;
  --menu-bar-width: 30px;
  --main-padding-margin: 20px;
  --transition-time: 0.2s;
}

.home-wrapper,
.site-wrapper {
  min-height: 100svh;
  display: grid;
  grid-template-columns: 100vw;
  grid-template-rows: 8svh auto 20px;
  background-color: var(--background-color-nav);
}

.nav-bar {
  grid-column: 1 / 3;
  grid-row: 1 / 2;
  display: none;
  width: 100%;
  height: 8svh;
}

nav {
  grid-column: 1 / 3;
  grid-row: 1 / 2;
  background-color: var(--background-color-nav);
  position: sticky;
  top: 0;
  z-index: 2;
}

/* .nav-mobile {
  grid-column: 1;
  grid-row: 2 / 3;
  z-index: 10;
  background-color: red;
} */

.menu-bars-wrapper {
  height: 100%;
  grid-column: 1 / 3;
  grid-row: 1 / 2;
  display: none;
  transition: var(--transition-time);
}

.menu-bars-wrapper:hover {
  transform: scale(1.12);
}

main {
  background-color: var(--background-color-main);
  padding: var(--main-padding-margin);
}

.home-wrapper main {
  padding: 0;
  grid-column: 1 / 3;
  grid-row: 2 / 3;
  display: grid;
  grid-template-columns: 50% 50%;
  line-height: 1.5;
  background-color: var(--background-color-main);
  overflow: scroll;
}

picture {
  background-image: url(images/gerbert_mutter_portrait.jpeg);
  background-position: 50% 40%;
  background-size: cover;
  background-color: var(--background-color-picture);
}

footer {
  grid-column: 1 / 3;
  grid-row: 3 / 4;
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  bottom: 0;
  background-color: var(--background-color-picture);
}

footer a {
  width: max-content;
  text-decoration: none;
  color: var(--background-color-nav);
  transition: var(--transition-time);
}

footer a:hover {
  text-decoration: underline;
  color: var(--background-color-nav-light);
}

nav ul {
  margin: 0;
  padding: 0;
  display: flex;
  height: 100%;
  justify-content: space-evenly;
  align-items: center;
}

li {
  list-style: none;
}

nav ul li {
  display: flex;
  align-items: center;
  justify-content: center;
  list-style: none;
  font-size: 1.2rem;
  flex-grow: 1;
  height: 100%;
}

nav ul li a {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  text-decoration: none;
  color: var(--background-color-picture);
  transition: var(--transition-time);
}

nav ul li a:hover,
nav ul li a:active {
  background-color: var(--background-color-nav-light);
}

.menu-bar {
  width: var(--menu-bar-width);
  height: 3px;
  margin: 7px 0;
  /* transition: 0.5s; */
  background-color: var(--background-color-picture);
}

.change .menu-bar1 {
  transform: translate(0, 10px) rotate(-40deg);
  transform-origin: 50% 50%;
  margin: 0;
}

.change .menu-bar2 {
  transform: translate(50px, 0);
  opacity: 0;
}

.change .menu-bar3 {
  display: block;
  transform: translate(0, -10px) rotate(40deg);
  transform-origin: 50% 50%;
  margin: 0;
}

.content {
  padding: var(--main-padding-margin);
}

.home-wrapper span {
  font-size: 20px;
  text-wrap: nowrap;
  /* white-space: ; */
}

h1,
h2,
h3,
h4,
p {
  margin-bottom: var(--main-padding-margin);
}

.audio {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
  margin-bottom: 20px;
}

.audio p {
  margin-bottom: 10px;
}

.bold {
  font-weight: bold;
}

.audio-container {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  width: 100%;
  margin-bottom: 10px;
}

.audio-container label {
  width: 200px;
  text-wrap: nowrap;
  align-self: center;
  margin-right: 10px;
}

audio {
  width: 100%;
}

audio::-webkit-media-controls-play-button,
audio::-webkit-media-controls-panel {
  background-color: white;
  color: white;
}

.box {
  background-color: var(--background-color-main-light);
  border-radius: var(--border-radius);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.box-in-box {
  background-color: var(--background-color-main-lighter);
  padding: 10px;
  border-radius: var(--border-radius);
}

form {
  background-color: var(--background-color-main-light);
  border-radius: var(--border-radius);
  margin-top: 25px;
  margin-bottom: var(--main-padding-margin);
  padding: 10px;
  /* border: 1px solid var(--background-color-main); */
  position: sticky;
  top: 8svh;
  z-index: 1;
}

form .box {
  margin-bottom: 10px;
  gap: 10px;
}

form .box:last-of-type {
  margin-bottom: 0;
}

form span {
  margin-left: 10px;
}

select,
input,
button {
  -webkit-appearance: none;
  -moz-appearance: none;
  outline: none;
  border: none;
  padding: 10px;
  border-radius: var(--border-radius);
  font-size: inherit;
  flex-grow: 1;
}

select,
button {
  cursor: pointer;
  text-align: center;
}

input {
  cursor: text;
  text-align: start;
}

#worklistContainer {
  margin: 5px 0;
  padding: 0 10px;
  width: 100%;
}

#worklistContainer li {
  list-style: none;
  display: grid;
  background-color: white;
  border-radius: var(--border-radius);
  grid-template-columns: minmax(max-content, 80px) auto;
  grid-template-rows: auto auto;
  row-gap: 5px;
  padding: 10px;
  margin: 5px 0;
  cursor: pointer;
}

#worklistContainer.title-sorted li {
  grid-template-columns: auto;
  grid-template-rows: auto auto;
}

#worklistContainer li:hover {
  transition: var(--transition-time);
  transform: scale(1.01);
}

span[data-entry-subtitle] {
  grid-column: 2 / 3;
}

#worklistContainer.title-sorted li span[data-entry-subtitle] {
  grid-column: 1 / 3;
}

#worklistContainer.title-sorted li span[data-entry-title] {
  grid-column: 1 / 3;
}

.details-container {
  z-index: 1;
  position: fixed;
  top: calc(8svh + 20px);
  width: 84vw;
  height: calc(92svh - 60px);
  justify-self: center;
  align-self: center;
  background-color: var(--background-color-main);
  border-radius: var(--border-radius);
  border: 3px solid var(--background-color-picture);
  padding: 10px;
  overflow: auto;
}

.movements-container {
  display: none;
  gap: 0.5rem;
}

.plus-icon {
  float: right;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  cursor: pointer;
  border-radius: var(--border-radius);
}

.plus-icon-line {
  width: 15px;
  height: 2px;
  background-color: black;
  position: absolute;
}

.plus-icon-line1 {
  rotate: -45deg;
}

.plus-icon-line2 {
  rotate: 45deg;
}

.carousel {
  width: 100%;
  /* height = 100vh minus nav (8vh) minus height of h1 (48px), footer (20px), padding of main (20px), padding of h1 (20px), padding of carousel (20px), 20px, 10px (marker group) */
  height: calc(92svh - 48px - 94px);
  display: flex;
  gap: 1vw;
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
}

.carousel li {
  background-color: var(--background-color-nav);
  border: 3px solid var(--background-color-picture);
  flex: 0 0 95%;
  scroll-snap-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  max-height: 95%;
}

.carousel li img {
  max-height: 100%;
  max-width: 100%;
}

ol li {
  margin-left: 18px;
  list-style: initial;
}

@media (orientation: portrait) {
  .home-wrapper main {
    grid-template-columns: 100%;
    grid-template-rows: 65% 35%;
  }

  .nav-bar {
    grid-column: 1;
    grid-row: 1 / 2;
    display: block;
    position: sticky;
    background-color: var(--background-color-nav);
    top: 0;
    z-index: 2;
    width: 100%;
    height: 8svh;
  }

  nav {
    display: none;
    justify-content: center;
    position: fixed;
    top: 8svh;
    height: calc(92svh - 20px);
    background-color: var(--background-color-nav-light);
    overflow: hidden;
  }

  nav ul {
    flex-direction: column;
  }

  nav ul li {
    width: 100vw;
  }

  nav ul li a {
    color: var(--background-color-picture);
  }

  nav ul li a:hover {
    background-color: var(--background-color-main);
  }

  .menu-bars-wrapper {
    position: sticky;
    top: 0;
    z-index: 2;
    display: flex;
    justify-self: end;
    justify-content: center;
    align-items: center;
    width: max-content;
    padding: 0 var(--main-padding-margin);
    cursor: pointer;
  }

  picture {
    grid-row: 1;
    background-position: 50% 40%;
  }

  .audio-container {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .audio-container label {
    align-self: start;
    margin-bottom: 10px;
  }

  .img-container {
    height: 33svh;
    width: unset;
  }

  .img-container img {
    height: 100%;
  }

  .carousel {
    flex-direction: column;
    scroll-snap-type: y mandatory;
  }
}

/* @media screen and (max-width: 1264px) and (min-width: 1060px) {
  .gallery img {
    flex-basis: 20%;
  }
} */
